<?php
namespace nur\sery\output;

/**
 * Class Output: une destination pour écrire du contenu
 */
abstract class Output {
  /** afficher le contenu spécifié */
  abstract function print(?array $contents): void;

  /** afficher une ligne de donnée au format CSV */
  abstract function printCsv(?array $row): void;

  /** afficher un objet */
  abstract function printObject($object): void;
}
